/*** Spinner Start ***/
/*** Spinner ***/
#spinner {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease-out, visibility 0s linear 0.5s;
  z-index: 99999;
}

#spinner.show {
  transition: opacity 0.5s ease-out, visibility 0s linear 0s;
  visibility: visible;
  opacity: 1;
}
/*** Spinner End ***/

.back-to-top {
  position: fixed;
  right: 30px;
  bottom: 30px;
  display: flex;
  width: 45px;
  height: 45px;
  align-items: center;
  justify-content: center;
  transition: 0.5s;
  z-index: 99;
}

/*** Button Start ***/
.btn {
  font-weight: 600;
  transition: 0.5s;
}

.btn-square {
  width: 32px;
  height: 32px;
}

.btn-sm-square {
  width: 34px;
  height: 34px;
}

.btn-md-square {
  width: 44px;
  height: 44px;
}

.btn-lg-square {
  width: 56px;
  height: 56px;
}

.btn-square,
.btn-sm-square,
.btn-md-square,
.btn-lg-square {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: normal;
  border-radius: 50%;
}

.btn.btn-primary {
  box-shadow: inset 0 0 0 0 var(--bs-primary);
}

.btn.btn-primary:hover {
  box-shadow: inset 300px 0 0 0 var(--bs-light) !important;
  color: var(--bs-primary) !important;
}

.btn.btn-light {
  box-shadow: inset 0 0 0 0 var(--bs-primary);
}

.btn.btn-light:hover {
  box-shadow: inset 300px 0 0 0 var(--bs-primary);
  color: var(--bs-light) !important;
}

.btn-hover {
  transition: 0.5s;
}

.btn-hover:hover {
  color: var(--bs-secondary) !important;
}

/*** Section Title Start ***/
.section-title {
  position: relative;
  display: inline-block;
  text-transform: uppercase;
  color: #ff8513;
}

.section-title::before {
  content: "";
  width: 50px;
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  margin-right: -50px;
  border: 1px solid var(--bs-primary) !important;
}

.section-title::after {
  content: "";
  width: 50px;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  margin-left: -50px;
  border: 1px solid var(--bs-primary) !important;
}

/*** Topbar Start ***/
.fixed-top .container {
  transition: 0.5s;
}

.topbar {
  padding: 2px 10px 2px 20px;
  background: var(--bs-primary) !important;
}

.topbar a,
.topbar a i {
  transition: 0.5s;
}

.topbar a:hover,
.topbar a i:hover {
  color: var(--bs-secondary) !important;
}

@media (max-width: 768px) {
  .topbar {
    display: none;
  }
}
/*** Topbar End ***/

/*** Navbar ***/
.navbar-light .navbar-nav .nav-link {
  font-family: "Roboto", sans-serif;
  position: relative;
  padding: 35px 15px;
  color: var(--bs-white) !important;
  font-size: 17px;
  font-weight: 400;
  outline: none;
  transition: 0.5s;
}

.sticky-top.navbar-light .navbar-nav .nav-link {
  padding: 20px 15px;
  color: var(--bs-dark) !important;
}

.navbar-light .navbar-nav .nav-link:hover,
.navbar-light .navbar-nav .nav-link.active {
  color: var(--bs-white) !important;
}

.navbar-light .navbar-brand h1 {
  color: var(--bs-white);
}

.sticky-top.navbar-light .navbar-brand h1 {
  color: #ff8513;
}

.navbar-light .navbar-brand img {
  max-height: 60px;
  transition: 0.5s;
}

.sticky-top.navbar-light .navbar-brand img {
  max-height: 45px;
}

.navbar .dropdown-toggle::after {
  border: none;
  content: "\f107";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  vertical-align: middle;
  margin-left: 8px;
}

@media (min-width: 1200px) {
  .navbar .nav-item .dropdown-menu {
    display: block;
    visibility: hidden;
    top: 100%;
    transform: rotateX(-75deg);
    transform-origin: 0% 0%;
    border: 0;
    border-radius: 10px;
    transition: 0.5s;
    opacity: 0;
  }
}

.dropdown .dropdown-menu a:hover {
  background: var(--bs-primary);
  color: var(--bs-white);
}

.navbar .nav-item:hover .dropdown-menu {
  transform: rotateX(0deg);
  visibility: visible;
  background: var(--bs-light);
  transition: 0.5s;
  opacity: 1;
}

@media (max-width: 991.98px) {
  .sticky-top.navbar-light {
    position: relative;
    background: var(--bs-white);
  }

  .navbar-light .navbar-brand h1 {
    color: #ff8513;
  }

  .navbar.navbar-expand-lg .navbar-toggler {
    padding: 10px 20px;
    border: 1px solid var(--bs-primary);
    color: #ff8513;
  }

  .navbar-light .navbar-collapse {
    margin-top: 15px;
    border-top: 1px solid #dddddd;
  }

  .navbar-light .navbar-nav .nav-link,
  .sticky-top.navbar-light .navbar-nav .nav-link {
    padding: 10px 0;
    color: var(--bs-dark) !important;
  }

  .navbar-light .navbar-nav .nav-link:hover,
  .navbar-light .navbar-nav .nav-link.active {
    color: var(--bs-primary) !important;
  }

  .navbar-light .navbar-brand img {
    max-height: 45px;
  }
}

@media (min-width: 992px) {
  .navbar-light {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    z-index: 999;
  }

  .sticky-top.navbar-light {
    position: fixed;
    background: var(--bs-light);
  }

  .navbar-light .navbar-nav .nav-link::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 0;
    bottom: -1px;
    left: 0;
    background: #ff8513;
    transition: 0.5s;
    z-index: -1;
  }

  .navbar-light .navbar-nav .nav-link:hover::before,
  .navbar-light .navbar-nav .nav-link.active::before {
    height: calc(100% + 1px);
    left: 1px;
  }

  .navbar-light .navbar-nav .nav-link.nav-contact::before {
    display: none;
  }
}

/*** Carousel Hero Header Start ***/
.carousel-header .carousel-control-prev,
.carousel-header .carousel-control-next {
  background: transparent;
}

.carousel-header .carousel-control-prev .carousel-control-prev-icon {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  padding: 25px 30px;
  border-top-left-radius: 0;
  border-top-right-radius: 50px;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 50px;
  background-size: 60% 60%;
}

.carousel-header .carousel-control-next .carousel-control-next-icon {
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  padding: 25px 30px;
  border-top-left-radius: 50px;
  border-top-right-radius: 0;
  border-bottom-left-radius: 50px;
  border-bottom-right-radius: 0;
  background-size: 60% 60%;
}

.carousel-header .carousel .carousel-indicators li,
.carousel-header .carousel .carousel-indicators li,
.carousel-header .carousel .carousel-indicators li {
  opacity: 0;
}

.carousel-header .carousel-inner .carousel-item {
  position: relative;
  min-height: 100vh;
}

.carousel-header .carousel-inner .carousel-item img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.carousel-header .carousel-inner .carousel-item .carousel-caption {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  padding-top: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5));
  background-size: cover;
}

@media (max-width: 768px) {
  .carousel-header .carousel-inner .carousel-item img,
  .carousel-header .carousel-inner .carousel-item .carousel-caption {
    height: 700px;
    margin-top: -100px;
  }

  .carousel-header {
    height: 700px !important;
  }

  .carousel-header .carousel-control-prev .carousel-control-prev-icon,
  .carousel-header .carousel-control-next .carousel-control-next-icon {
    opacity: 0;
  }

  .search-bar {
    margin-top: -100px;
    transition: 0.5s;
  }
}
/*** Carousel Hero Header End ***/

/*** Single Page Hero Header Start ***/
.bg-breadcrumb {
  background: linear-gradient(rgba(19, 53, 123, 0.5), rgb(240 118 7 / 86%)),
    url(../img/abt.jfif);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  padding: 150px 0 50px 0;
}

.bg-breadcrumb .breadcrumb-item a {
  color: var(--bs-secondary) !important;
}
/*** Single Page Hero Header End ***/

/*** About Start ***/
.about .container .section-about-title {
  position: relative;
  display: inline-block;
  text-transform: uppercase;
  color: var(--bs-primary);
}

.about .container .section-about-title::before {
  content: "";
  width: 50px;
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  margin-right: -50px;
  border: 1px solid var(--bs-primary) !important;
}
/*** About End ***/

/*** Services Start ***/
.service .service-content-inner {
  transition: 0.5s;
}
.service .service-content-inner:hover {
  position: relative;
  background: #ff8513 !important;
}

.service .service-content-inner .service-content h5,
.service .service-content-inner .service-content p,
.service .service-content-inner .service-icon i {
  transition: 0.5s;
}

.service .service-content-inner:hover .service-content h5,
.service .service-content-inner:hover .service-content p,
.service .service-content-inner:hover .service-icon i {
  color: var(--bs-white) !important;
}
/*** Service End ***/

/*** Blog Start ***/
.blog .blog-item .blog-img {
  position: relative;
}

.blog .blog-item .blog-img .blog-info {
  position: absolute;
  width: 100%;
  left: 0;
  bottom: 0;
  display: flex;
  background: rgba(255, 255, 255, 0.2);
  color: var(--bs-white);
}

.blog .blog-item .blog-img .blog-img-inner {
  position: relative;
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
}

.blog .blog-item .blog-img .blog-img-inner .blog-icon {
  position: absolute;
  width: 100%;
  height: 0;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.5s;
}

.blog .blog-item .blog-img .blog-img-inner .blog-icon a {
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: 0.5s;
}

.blog .blog-item .blog-img:hover .blog-img-inner .blog-icon a {
  opacity: 1;
}

.blog .blog-item .blog-img:hover .blog-img-inner .blog-icon {
  height: 100%;
  background: rgba(19, 53, 123, 0.6);
  opacity: 1;
}

.blog .blog-item .blog-img .blog-img-inner {
  overflow: hidden;
}

.blog .blog-item .blog-img .blog-img-inner img {
  transition: 0.5s;
}

.blog .blog-item .blog-img:hover .blog-img-inner img {
  transform: scale(1.2);
}
/*** Blog End ***/

/*** Contact Start ***/
.contact .container form .btn.btn-primary {
  box-shadow: inset 0 0 0 0 var(--bs-primary);
}

.contact .container form .btn.btn-primary:hover {
  box-shadow: inset 1000px 0 0 0 var(--bs-light) !important;
  color: var(--bs-primary) !important;
}
/*** Contact End ***/

/*** Subscribe Start ***/
.subscribe {
  background: linear-gradient(rgba(255, 170, 85, 0.6), rgba(255, 170, 85, 0.6)),
    url(../img/sub.avif);
  background-attachment: fixed;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
}

.subscribe .subscribe-title {
  position: relative;
  display: inline-block;
  text-transform: uppercase;
  color: var(--bs-white);
}

.subscribe .subscribe-title::before {
  content: "";
  width: 50px;
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  margin-right: -50px;
  border: 1px solid var(--bs-white) !important;
}

.subscribe .subscribe-title::after {
  content: "";
  width: 50px;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  margin-left: -50px;
  border: 1px solid var(--bs-white) !important;
}
/*** Subscribe End ***/

/*** Footer Start ***/
.footer {
  background: #ff8513 !important;
}
.footer .footer-item a {
  line-height: 30px;
  color: var(--bs-white);
  transition: 0.5s;
}

.footer .footer-item a:hover {
  letter-spacing: 2px;
  color: var(--bs-primary);
}

/*** Footer End ***/

/*** copyright Start ***/
.copyright {
  border-top: 1px solid rgba(255, 255, 255, 0.08);
  background: var(--bs-dark) !important;
}
/*** copyright end ***/

.bg {
  background: #ff8513 !important;
}

.text-ico {
  color: #ff8513 !important;
}
